PyDL:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- pydl v0.7.0 »
- SDSS Utilities (`pydl.pydlutils`) »
- circle_cap

# circle_cap

`pydl.pydlutils.mangle.``circle_cap`(radius, points)

  Construct caps based on input points (directions on the unit sphere).

  Parameters:

  radius : `float` or `ndarray`

  > Radii of the caps in degrees. This will become the `CM` value.

  points : `ndarray` or `recarray`

  > If `points` is a 3-vector, or set of 3-vectors, then assume the point is a Cartesian unit vector. If `point` is a 2-vector or set of 2-vectors, assume the point is RA, Dec.

  Returns:

  `tuple()`

  > A tuple containing `X` and `CM` values for the cap.